#include<bits/stdc++.h>
using namespace std;;
int main()
{
    int x,y,a,b;
    cin>>a>>b;// spojlovan rezultat
    cin>>x>>y;//rezultat na poluvremenu
    if(a==x && b==y)
    {
        cout<<"nijedan";
    }
     else if(a!=x && b!=y)
       {
         cout<<"?";
       }
    else if(x<a && b==y)
    {
        cout<<"prvi";
    }
    else if(y<a && a==x)
    {
        cout<<"drugi";
    }

}